Críochnaíonn dhá gheata atá cumraithe leis an eochair chéanna roinnte roimh ré cúrsa láimhe, agus ní thaispeánann gabháil paicéad aon rún ag trasnú na sreinge. Sin an chuid a mbíonn cuimhne ag daoine uirthi. Is í an chuid spéisiúil ná cad a ríomhann gach leagan i ndáiríre chun a chruthú go bhfuil an rún ar eolas, toisc go dtógann IKEv1 agus IKEv2 an cruthúnas sin ó ionchuir éagsúla agus go nochtann siad faisnéis éagsúil agus iad á dhéanamh. Léigh an dá rian taobh le taobh agus stopann an difríocht de bheith cosmaideach.

Cad a chaithfidh an cruthúnas a bhaint amach

Tugann Diffie-Hellman luach comhroinnte don dá phiar a bhféadann aon duine a bhíonn ag faire na leathanna poiblí de a ríomh freisin. Ann féin ní chruthaíonn sé sin aon rud faoi chéannacht: tá an luach comhroinnte céanna ag ionsaitheoir a chríochnaíonn malartú eochrach agus atá ag do gheata. Tá an chéim fhíordheimhniúcháin ann chun an malartú sin a cheangal le rún nach bhfuil ach ag na piaranna beartaithe, agus leis na céannachtaí agus na paraiméadair ar a d'aontaigh siad.

Is é an ceangal sin an chúis go gclúdaíonn an hais níos mó ná an eochair. Dá gclúdódh sé an rún amháin, d'fhéadfadh ionsaitheoir é a athsheinm i malartú eile le céannachtaí nó tograí éagsúla.

IKEv1 Main Mode: SKEYID a dhíorthú, ansin é a chruthú

Ritheann Main Mode sé theachtaireacht. Déanann an chéad phéire idirbheartaíocht ar an gcomhlachas slándála, malartaíonn an dara péire luachanna poiblí Diffie-Hellman agus nonces, agus iompraíonn an tríú péire céannachtaí móide haiseanna fíordheimhniúcháin faoin bhfolachas a bunaíodh díreach. Sainmhíníonn RFC 2409 an tógáil: le fíordheimhniú eochrach roinnte roimh ré, díorthaítear SKEYID ón rún agus ón dá nonce, agus díorthaítear an t-ábhar eochrach níos déanaí ó SKEYID, ó luach comhroinnte Diffie-Hellman, ó na fianáin agus ó na tairisigh.

Ríomhtar an hais i dteachtaireachtaí a cúig agus a sé thar luach Diffie-Hellman, an dá fhianán, an togra agus céannacht an tseoltóra, le SKEYID mar eochair. Ríomhann an faighteoir arís é lena rún cumraithe féin. Cuireann neamhréir deireadh leis an malartú, agus ní ualach é an rún féin ag aon phointe.

Déanann Aggressive Mode an obair chéanna a chomhbhrú go trí theachtaireacht, rud a chiallaíonn go dtaistealaíonn céannachtaí agus an hais fíordheimhniúcháin sula mbíonn cainéal criptithe ann. Is nochtadh fíor é sin do rún atá inbhraite, agus tá sé scartha ón gceist ar tarchuireadh an rún. Tá IKEv1 dímholta ag RFC 9395, mar sin is cleachtadh diagnóiseach é rian oidhreachta seachas sprioc imscartha.

IKEv2: díorthú difriúil agus ualach AUTH difriúil

Ní athúsáideann IKEv2 sceideal eochrach IKEv1. Tagann na chéad eochracha IKE ó shíol a tógadh ó na nonces agus ó luach comhroinnte Diffie-Hellman, agus díorthaítear na comhlachais slándála linbh uaidh sin. Ní chothaíonn an eochair roinnte roimh ré an síol ar chor ar bith.

Tagann an fíordheimhniú ansin mar ualach AUTH. Le haghaidh fíordheimhniúcháin le heochair roinnte, sonraíonn RFC 7296 foirm stuáilte den rún, a tháirgtear tríd an rún a haisáil leis an teaghrán seasta Key Pad for IKEv2, agus ansin na sonraí malartaithe sínithe agus an chéannacht a haisáil leis an eochair stuáilte sin. Is féidir leis an bhfíoraitheoir an luach céanna a atógáil; ní féidir le breathnóir, gan an rún.

Tabhair faoi deara cad a d'athraigh. In IKEv1 báitear an rún sa sceideal eochrach sula mbíonn an hais fhíordheimhniúcháin ann; in IKEv2 tá an sceideal eochrach neamhspleách ar an rún agus is ualach ar leith é an cruthúnas atá ceangailte leis na hoctéid sínithe. An ráthaíocht choincheapúil chéanna, meaisíní difriúla, agus is é sin an fáth nach mapáiltear ainmneacha paraiméadar agus gabhálacha duine le duine.

Cad a fhoghlaimíonn breathnóir i ndáiríre

Tá luachanna poiblí Diffie-Hellman, tograí, nonces agus fianáin le feiceáil sa dá leagan. Tá céannachtaí le feiceáil in IKEv1 Aggressive Mode agus cosanta sna cásanna eile. Ní bhíonn an rún le feiceáil riamh.

Tá teorainn leis an abairt dheiridh sin is fiú a lua. Is féidir ionsaí a dhéanamh ar rún lag a roghnaíonn duine trí bhuille faoi thuairim: ríomhann an t-ionsaitheoir cad a bheadh sa luach fíordheimhniúcháin do rún iarrthach agus déanann sé comparáid. Déanann IKEv1 Aggressive Mode é sin ar an gceann is saoire toisc go bhfuil an fhianaise gan cheilt, agus tugann na caighdeáin rabhadh go ginearálta faoi rúin ar bheagán eantrópachta. Ní hionann an rún a sheoladh riamh agus drochrún a dhéanamh sábháilte.

Cad a dhéanfar leis an gcomparáid

Úsáid aon rún uathúil amháin in aghaidh gach péire piar, gineadh ó fhoinse randamach é, agus rothlaigh tríd an gcosán soláthair chéanna a dháil é. Má stóráiltear an rún i dteimpléad cumraíochta a sheoltar chuig gach brainse, is comhréiteach in aon áit amháin comhréiteach i ngach áit.

Bíodh fíordheimhniú deimhnitheach i bhfách nuair atá an costas oibriúcháin inghlactha, ós rud é go mbaineann sé an fhadhb a bhaineann le buille faoi thuairim ar an rún roinnte agus tugann sé céannacht ar leith do gach piar. San áit a bhfanann eochair roinnte roimh ré, coinnigh fada í, cuir teorainn lena raon feidhme agus caith leis an leagan IKE mar chinneadh slándála seachas mar shonra idir-inoibritheachta.

Ailt ghaolmhara